Subject: Re: perl/dbi Can't create TCP/IP socket
From: Michael Hoffman <[email-masked]>
To: Dale Henderson <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Sep 2001 03:27:19 -0500 (Central Daylight Time)

On Tue, 25 Sep 2001, dk henderson wrote:

> I narrowed it down and found that perl/dbi works from the shell
> prompt, but not from cgi. Not really sure how they interface and would
> appreciate any pointers.

Not really sure what that last sentence means. Who are "they"?

I have used perl with DBI, MySQL and Apache before without incident. Can
you open any kind of socket from your CGI script? More information, like
perl -V and cygcheck -s -v -r might be helpful. See
<http://cygwin.com/bugs.html>.

> >I can connect to a remote mysql server via the mysql client at a
> >cygwin shell prompt, but when I try from the localhost browser running
> >apache 1.3.20, I get the above error msg.
> >
> > $dbh = DBI->connect("$data_source", "$username", "$password",
> >{ RaiseError => 1, PrintError => 1, AutoCommit => 1 });
> >where $data_source = DBI:mysql:<database name>:www.freesql.org:3306
> >
> >and <database name> is  a plain text name
> >
> >Is there any explanation for this?
> >
> >the apache httpd.conf has the same User as $username in $dbh value.
-- 
Michael Hoffman <[email-masked]>
The University of Texas at Austin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/